﻿<?xml version="1.0" encoding="utf-8" ?>
<?xml-stylesheet type="text/css" href="Style.css" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output encoding="iso-8859-1" indent="yes" method="html" version="4.0" />
	<xsl:template match="/">
		<table id="tdata" style="border: 1px ActiveBorder groove">
			<tr>
				<td style="font-family: Tahoma; font-size:11px;padding-top: 5px;padding-bottom: 5px;padding-left: 10px;padding-right: 10px;font-weight: bold;background: rgb(234,242,255);border-bottom: 1px solid rgb(120,172,255);">
					<xsl:text>Attribute Flow Precedence</xsl:text>
				</td>
			</tr>
			<tr>
				<td>
					<ol style="font-family: Tahoma; font-size:11px; line-height: 30px;">
						<xsl:for-each select="//import-flow-set">
							<xsl:sort select="@mv-object-type" />
							<li>
								<xsl:attribute name="style">
									padding-left:10px;
									padding-right:10px;
									padding-top:4px;
									padding-bottom:4px;
									<xsl:if test="(position() mod 2 = 0)">
										background-color:#F5F5DC;
									</xsl:if>
								</xsl:attribute>
								<a>
									<xsl:attribute name="style">
										color:black
									</xsl:attribute>
									<xsl:attribute name="href">
										<xsl:text>about:AttributeFlowPrecedence:</xsl:text>
										<xsl:value-of select="@mv-object-type" />
									</xsl:attribute>
									<xsl:value-of select="@mv-object-type" />
								</a>
							</li>
						</xsl:for-each>
					</ol>
				</td>
			</tr>
		</table>
	</xsl:template>
</xsl:stylesheet>
